body {
  overflow-x: hidden;
  font-family: 'Poppins', sans-serif;
  background-color: #000;
}

.language-toggle {
  background: #f5f5f5;
  border: none;
  padding: 5px 15px;
  border-radius: 20px;
  cursor: pointer;
  font-weight: bold;
  margin-left: 15px;
  transition: all 0.3s ease;
  margin-top: 1rem;
}

.language-toggle:hover {
  background: #ddd;
}

[lang="ar"] body {
  direction: rtl;
  font-family: 'Tajawal', sans-serif;
}

/* RTL Support */
[lang="ar"] body {
  direction: rtl;
  font-family: 'Tajawal', sans-serif;
  text-align: right;
}

[lang="ar"] .navbar-links,
[lang="ar"] .offcanvas-links {
  margin-left: 0;
  margin-right: auto;
}

[lang="ar"] .more i {
  margin-right: 5px;
  margin-left: 0;
  transform: rotate(180deg);
}

[lang="ar"] .swiper-arrows .arrow-prev {
  left: auto;
  right: 0;
}

[lang="ar"] .swiper-arrows .arrow-next {
  right: auto;
  left: 0;
}

/* Adjust other RTL specific styles as needed */

::-webkit-scrollbar {
    width: 7px;
    height: 4px;
}

::-webkit-scrollbar-track {
    background: transparent;
}

::-webkit-scrollbar-thumb {
  background-color: #6193b8;
  border-radius: 10px;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

p {
  margin: 0;
}

ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

a {
    text-decoration: none;
}

.swiper {
  width: 100%;
}

.swiper-slide {
  width: 75%;
}

.swiper-slide img {
  width: 100%;
  object-fit: cover;
  height: 100%;
}

.hero {
  padding: 5rem 0 0 0;
}

.hero h1 {
  font-size: 94px;
  font-weight: bold;
  color: #FFF;
  margin: 0;
}

.hero h1 img {
  width: 320px;
  border-radius: 44px;
  height: 100px;
}

.hero-header {
  display: flex;
  justify-content: space-between;
  align-items: end;
  margin-bottom: 2rem;
}

.swiper-arrows {
  display: flex;
  align-items: center;
}

.swiper-arrows a {
  margin: 0 0.5rem;
}

.swiper-arrows a i {
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: rgb(49, 49, 49);
  color: #FFF;
  font-size: 22px;
}

.slider-container {
  overflow: hidden;
  position: relative;
}

.slider-track {
  display: flex;
  animation: slide 15s linear infinite;
}

.slide {
  flex: 0 0 auto;
  width: auto;
  margin: 0 3rem;
}

.slide img {
  width: 100%;
  height: auto;
}

.partner {
  padding: 5rem 0;
  overflow: hidden;
}

@keyframes slide {
  0% {
      transform: translateX(0);
  }
  100% {
      transform: translateX(-50%);
  }
}

.about {
  background-color: #1e1e1e;
  padding: 0 0 5rem 0;
  position: relative;
}

.global-text h2 {
  font-size: 56px;
  font-weight: bold;
  color: #FFF;
  margin-bottom: 2rem;
  margin-top: 0rem;
}

.global-text span {
  border: 1px solid #383736;
  padding: 0.3rem 1rem;
  font-size: 14px;
  font-weight: bold;
  color: #FFF;
  border-radius: 24px;
  margin-bottom: 1rem;
  text-transform: uppercase;
}

.global-text p {
  font-size: 18px;
  color: #CCC;
  margin-bottom: 3rem;
}

.more {
  font-size: 16px;
  background-color: #6193b8;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.6rem 1rem;
  text-transform: uppercase;
  border-radius: 36px;
  color: #222;
  position: relative;
  transition: background-color 0.4s ease-in-out, transform 0.4s ease-in-out;
}

.more i {
  width: 44px;
  height: 44px;
  border-radius: 50%;
  margin-left: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #65b1ea;
  color: #222;
  transform: rotate(-45deg);
  transition: transform 0.4s ease-in-out, background-color 0.4s ease-in-out;
}

.more:hover {
  background-color: #222;
  color: #FFF;
}

.more:hover i {
  transform: rotate(0deg);
  background-color: #78787856;
  color: #FFF;
}

.about .about-image img {
  width: 100%;
  height: 600px;
}

.global-text {
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: start;
  height: 100%;
}

.video-container {
  width: 200px;
  height: 250px;
  background-image: url('../img/about-2.a8ab3dad7dcc3d51dee3.jpg'); /* Add your background image */
  background-size: cover;
  background-position: center;
  position: absolute;
  bottom: 0;
  right: 5rem;
  cursor: pointer;
  /* box-shadow: 0 4px 15px rgba(0, 0, 0, 0.3); */
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.video-container:hover {
  /* transform: scale(1.05); */
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.4);
}

/* Play icon */
.play-icon {
  width: 60px;
  height: 60px;
  background-color: rgba(255, 255, 255, 0.8);
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  justify-content: center;
  align-items: center;
  animation: pulse 1.5s infinite;
}

.play-icon::before {
  content: '';
  width: 0;
  height: 0;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  border-left: 14px solid #FFF;
  position: absolute;
}

/* Pulse animation for play icon */
@keyframes pulse {
  0% {
      transform: translate(-50%, -50%) scale(1);
  }
  50% {
      transform: translate(-50%, -50%) scale(1.1);
  }
  100% {
      transform: translate(-50%, -50%) scale(1);
  }
}

/* Modal styling */
.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.modal-content {
  position: relative;
  width: 80%;
  max-width: 800px;
  background-color: #000;
  padding: 20px;
  border-radius: 10px;
  text-align: center;
}

.close-btn {
  position: absolute;
  top: 10px;
  right: 20px;
  font-size: 30px;
  color: #fff;
  cursor: pointer;
}

iframe {
  width: 100%;
  height: 400px;
  border: none;
  border-radius: 10px;
}

.counter {
  padding: 5rem 0;
  background-color: #1e1e1e;
}

.counter h2 {
  font-size: 48px;
  margin-bottom: 0.2rem;
  color: #FFF;
  font-weight: bold;
}

.counter p {
  color: #ccc;
  font-size: 16px;
}

.services {
  padding: 5rem 0;
}

.services .global-text span {
  color: #FFF;
}

.services .global-text h2 {
  color: #FFF;
}

.services-card {
  padding: 1rem 0;
  border-bottom: 1px solid #474644;
}

.services-card h3 {
  color: #FFF;
  font-size: 36px;
  font-weight: bold;
  margin-bottom: 1rem;
}

.services-card h3 span {
  color: #6193b8;
  margin-inline-end: .6rem;
}

.services-card img {
  width: 100%;
  height: 0; /* Start with height 0 */
  margin-bottom: 1rem;
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 1.5s ease, transform 1.5s ease, height 1.5s ease; /* Add height transition */
}

.services-card p {
  color: #ccc;
  font-size: 18px;
  height: 0; /* Start with height 0 */
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 1.5s ease, transform 1.5s ease, height 1.5s ease; /* Add height transition */
}

.services {
  position: relative;
}

.services .global-text {
  position: sticky;
  top: 3rem;
  height: auto;
  z-index: 10; 
} 

.choose {
  padding: 5rem 0;
  /* background-color: #f8f7f0; */
}

.choose .choose-image img {
  width: 100%;
}

.choose-card {
  background: #1f1f1f;
  border-radius: 10px;
  box-shadow: 0 0 70px #0000000d;
  padding: 2rem;
}

.choose-card img {
  width: 70px;
  height: 70px;
  margin-bottom: 1rem;
}

.choose-card h2 {
  font-size: 28px;
  font-weight: bold;
  color: #FFF;
  margin-bottom: 1rem;
}

.choose-card p {
  color: #ccc;
  font-size: 18px;
}

.process {
  padding: 5rem 0;
  background-color: #222;
}

.process .global-text {
  justify-content: center;
  align-items: center;
}

.process .global-text h2 {
  text-align: center;
}

.process-card {
  border-top: 1px dashed #383736;
  padding: 1rem;
}

.process-card h2 {
  font-size: 28px;
  font-weight: bold;
  margin-bottom: 1rem;
  color: #FFF;
}

.process-card p {
  color: #ccc;
  font-size: 18px;
}

.process-card span {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  background-color: #6193b8;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #222;
  position: relative;
  top: -2rem;
}

.portfolio {
  padding: 5rem 0;
}

.portfolio .global-text h2 {
  color: #FFF;
}

.portfolio .global-text span {
  color: #FFF;
}

.portfolio .swiper-arrows a i {
  background-color: #FFF;
  color: #222;
}

.portfolio .swiper-slide {
  height: 600px;
  display: flex;
  justify-content: center;
  align-items: end;
  padding: 2rem;
  overflow: hidden;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.portfolio-card {
  background-color: #6193b8;
  padding: 2rem;
  border-radius: 24px;
  position: relative;
  bottom: -100%; 
  transition: bottom 0.3s ease; 
}

.portfolio .swiper-slide:hover .portfolio-card {
  bottom: 0; /* Move up to show the card */
}

.portfolio .portfolio-card span i {
  width: 55px;
  height: 55px;
  font-size: 24px;
  background-color: #222;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  top: -3.5rem;
  color: #FFF;
  transform: rotate(-45deg);
}

.insights {
  padding: 0 0 5rem 0;
  background-color: #1e1e1e;
}

.insights .insights-image {
  margin-bottom: 2rem;
}

.insights .insights-image img {
  width: 100%;
}

.insights .insights-card img {
  width: 70px;
  margin-right: 1rem;
}

.insights .insights-card {
  display: flex;
  align-items: center;
}

.insights .insights-card h2 {
  font-size: 28px;
  font-weight: bold;
  color: #FFF;
  margin-bottom: 0.5rem;
}

.insights .insights-card p {
  font-size: 16px;
  color: #555855;
  font-size: 18px;
}

.contact {
  padding: 3rem 0;
  background-color: #1e1e1e;
}

.contact-card {
  display: flex;
  align-items: flex-start;
  margin-bottom: 2rem;
}

.contact-card i {
  font-size: 32px;
  color: #ccc;
  margin-right: 1rem;
}

.contact-card h3 {
  font-size: 22px;
  font-weight: bold;
  margin-bottom: 0.3rem;
  color: #ccc;
}

.contact-card a {
  color: #FFF;
}

.contact-form {
  background-color: #000;
  border-radius: 10px;
  padding: 3rem;
}

.contact-form .form-group {
  margin-bottom: 1.5rem;
}

.contact-form .form-control {
  background-color: #1e1e1e;
  border: 1px solid #383736;
  border-radius: 6px;
  color: #CCC;
  font-size: 16px;
  padding: .8rem 1rem;
  width: 100%;
}

.contact-form h3 {
  font-size: 22px;
  color: #FFF;
  font-weight: bold;
  margin-bottom: 2rem;
}

.contact iframe {
  height: 100% !important;
}

.contact-info-card {
  background: #1f1f1f;
  text-align: center;
  border-radius: 10px;
  box-shadow: 0 0 70px #0000000d;
  padding: 2rem;
  margin-bottom: 5rem;
  box-shadow: 0 4px 10px rgba(255, 255, 255, 0.1), 
              0 2px 5px rgba(255, 255, 255, 0.05), 
              0 10px 20px rgba(255, 255, 255, 0.02);
  transition: box-shadow 0.3s ease-in-out;
}

.contact-info-card i {
  color: #6193b8;
  font-size: 24px;
  display: block;
  margin-bottom: 2rem;
}

.contact-info-card a {
  color: #fff;
  font-size: 18px;
}

.contact-info-card:hover {
    box-shadow: 0 6px 15px rgba(255, 255, 255, 0.2), 
                0 4px 10px rgba(255, 255, 255, 0.1);
}

.footer {
  padding: 1rem 0;
  border-top: 1px solid #555855;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer ul {
  display: flex;
  align-items: center;
}

.footer ul li {
  margin-left: 1rem;
}

.footer ul li a i {
  background-color: #313131;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  color: #FFF;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all .3s;
}

.footer ul li a i:hover {
  background-color: #6193b8;
  color: #222;
  transition: all .3s;
}

.footer p {
  color: #ccc;
  font-size: 16px;
  margin: 0;
}

.scroll-to-top {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 50px;
  height: 50px;
  border: none;
  background-color: transparent;
  color: white;
  border-radius: 50%;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s, visibility 0.3s;
}

.scroll-to-top.visible {
  opacity: 1;
  visibility: visible;
}

.scroll-to-top i {
  /* font-size: 24px; */
  color: #6193b8;
}

.progress-circle {
  position: absolute;
  top: 0;
  left: 0;
  transform: rotate(-90deg);
}

.progress-circle-background {
  fill: none;
  stroke: transparent;
  stroke-width: 2;
}

.progress-circle-progress {
  fill: none;
  stroke: #6193b8;
  stroke-width: 2;
  stroke-dasharray: 125.6; /* Circumference of the circle (2 * π * r) */
  stroke-dashoffset: 125.6;
  transition: stroke-dashoffset 0.3s;
}

.navbar {
  padding: 0.5rem 0;
}

.nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

.navbar-brand img {
  width: 100%;
  max-width: 270px;
  object-fit: cover;
  height: 80px;
}

.navbar-links a {
  margin: 0 1rem;
  color: #ccc;
  font-size: 16px;
}

.bars {
  display: none;
  color: #ccc;
  font-size: 30px;
  margin-right: 1rem;
}

.offcanvas-links a {
  margin: 1rem;
  color: #000;
  font-size: 25px;
  display: block;
}

.offcanvas-links a:hover {
  background-color: #6193b8;
  color: #FFF;
  padding: 1rem;
  border-radius: 10px;
  transition: all .6s;
}












@media (max-width: 768px) {
  .global-text {
    margin: 2rem 0;
  }
  .navbar-links {
    display: none;
  }
  .bars {
    display: block;
  }
  .global-text h2 {
    font-size: 36px;
  }
  .global-text p {
    font-size: 16px;
  }
  .hero h1 {
    font-size: 36px;
  }
  .hero h1 img {
    width: 120px;
    height: 60px;
  }
  .choose-card {
    margin-bottom: 1rem;
  }
  .process-card {
    margin-bottom: 1rem;
  }
}